Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000873Core InformPhrases and functional programmingpublic2012-02-29 09:042014-05-07 07:33
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000873: Default case of a generic phrase's resolver specializes to one kind
DescriptionThe attached source prints

- - - -
Foo 7 Other Foo 274093.
- - - -

rather than

- - - -
Foo 7 Other Foo yourself.
- - - -
Minimal Source Text To Reproduce
There is a room.
To say foo (C - sayable value):
	say "Foo [C]".
To say foo (C - sayable value that provides the property indefinite article):
	say "Other Foo [C]".
When play begins:
	say "[foo seven] [foo yourself]."
Additional InformationThe use of say is only to avoid 0000825. See the related issues for possibly overlapping bugs.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships
related to 0000648closedgraham Property names typecast to a number and back again can not be typed 
related to 0000874closedgraham Conditions in generic phrase parameters are checked without kind safety 

-  Notes
(0002457)
graham (administrator)
2014-02-09 08:15

Fixed; a good test case, this one.

- Issue History
Date Modified Username Field Change
2012-02-29 09:04 EmacsUser New Issue
2012-02-29 09:04 EmacsUser Relationship added related to 0000648
2012-02-29 09:10 EmacsUser Issue cloned 0000874
2012-02-29 09:10 EmacsUser Relationship added related to 0000874
2012-06-20 08:04 curiousdannii Status new => confirmed
2014-02-09 08:15 graham Note Added: 0002457
2014-02-09 08:15 graham Status confirmed => resolved
2014-02-09 08:15 graham Resolution open => fixed
2014-02-09 08:15 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker